Name:           perl-Text-Template
Version:        1.53
Release:        4
Summary:        Expand template text with embedded Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Template
Source0:        https://github.com/mschout/perl-text-template/archive/v%{version}.tar.gz#/Text-Template-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2)) perl(Carp)

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%package_help

%prep
%autosetup -n Text-Template-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
#need to install the Test::More::UTF8 module

%files
%defattr(-,root,root)
%license LICENSE
%{perl_vendorlib}/Text/

%files help
%doc README
%{_mandir}/man3/*

%changelog
* Tue Dec 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.53-4
- Package init
